package md

type DataCenterTableReq struct {
	StartDate string `json:"start_date" example:"2024-08-30  默认查昨天的 最近7天"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Platform  string `json:"platform" example:"平台"`
	AppId     string `json:"app_id" example:"应用"`
	AdType    string `json:"ad_type" example:"广告位类型"`
}

type DataCenterRecordReq struct {
	StartDate string `json:"start_date" example:"2024-08-30 默认查昨天的 最近7天"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Platform  string `json:"platform" example:"平台"`
	AppId     string `json:"app_id" example:"应用"`
	AdType    string `json:"ad_type" example:"广告位类型"`
	Limit     string `json:"limit"`
	Page      string `json:"page" `
}
type DataCenterRecordOutPutReq struct {
	StartDate string `json:"start_date" example:"2024-08-30 默认查昨天的 最近7天"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Platform  string `json:"platform" example:"平台"`
	AppId     string `json:"app_id" example:"应用"`
	AdType    string `json:"ad_type" example:"广告位类型"`
	Limit     string `json:"limit" example:"10000 个一页"`
	Page      string `json:"page" `
}

type DataCenterTableRes struct {
	List []DataCenterTableData `json:"list"  `
}

type DataCenterTableData struct {
	Date          string `json:"date" example:"日期"`
	ExposureCount string `json:"exposure_count" example:"曝光量"`
	MediaRevenue  string `json:"media_revenue" example:"预估收益"`
	Ecpm          string `json:"ecpm" example:"ecpm"`
}
type DataCenterRecordRes struct {
	List  []DataCenterTotalData `json:"list"  `
	Total int64                 `json:"total"  `
}
type DataCenterCommissionRecordRes struct {
	List  []DataCenterCommissionTotalData `json:"list"  `
	Total int64                           `json:"total"  `
}
type DataCenterCommissionTotalData struct {
	Date            string `json:"date" example:"日期"`
	AppName         string `json:"app_name"`
	PlatformName    string `json:"platform_name"`
	AdvName         string `json:"adv_name"`
	ExposureCount   string `json:"exposure_count" example:"曝光量"`
	Commission      string `json:"commission" example:"预估佣金"`
	OtherCommission string `json:"other_commission" example:"额外奖励"`
	AllCommission   string `json:"all_commission" example:"预估总佣金"`
	Ecpm            string `json:"ecpm" example:"ecpm"`
	ClickRate       string `json:"click_rate" example:"点击率"`
	ClickCount      string `json:"click_count" example:"点击量"`
}

type DataCenterTotalData struct {
	Date          string `json:"date" example:"日期"`
	AppName       string `json:"app_name"`
	PlatformName  string `json:"platform_name"`
	AdvName       string `json:"adv_name"`
	ExposureCount string `json:"exposure_count" example:"曝光量"`
	MediaRevenue  string `json:"media_revenue" example:"预估收益"`
	Ecpm          string `json:"ecpm" example:"ecpm"`
	ClickRate     string `json:"click_rate" example:"点击率"`
	ClickCount    string `json:"click_count" example:"点击量"`
}
type DataCenterProfitRecordReq struct {
	StartDate string `json:"start_date" example:"2024-08-30 默认查昨天的 最近7天"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Type      string `json:"type" example:"0-日收益 1-月收益 2年收益"`
	Platform  string `json:"platform" example:"平台"`
	AppId     string `json:"app_id" example:"应用"`
	Limit     string `json:"limit"`
	Page      string `json:"page" `
}
type DataCenterProfitRecordOutPutReq struct {
	StartDate string `json:"start_date" example:"2024-08-30 默认查昨天的 最近7天"`
	EndDate   string `json:"end_date" example:"2024-08-30"`
	Type      string `json:"type" example:"0-日收益 1-月收益 2年收益"`
	Platform  string `json:"platform" example:"平台"`
	AppId     string `json:"app_id" example:"应用"`
	Limit     string `json:"limit" example:"10000 个一页"`
	Page      string `json:"page" `
}
type DataCenterProfitRecordRes struct {
	List  []DataCenterProfitRecordData `json:"list"  `
	Total int64                        `json:"total"  `
}
type DataCenterProfitRecordData struct {
	Date            string `json:"date" example:"日期"`
	AppName         string `json:"app_name"`
	PlatformName    string `json:"platform_name"`
	Commission      string `json:"commission" example:"预估佣金"`
	OtherCommission string `json:"other_commission" example:"额外奖励"`
	AllCommission   string `json:"all_commission" example:"预估总佣金"`
}
